# SpectralStatistics

[![Build Status](https://github.com/clozej/SpectralStatistics.jl/actions/workflows/CI.yml/badge.svg?branch=main)](https://github.com/clozej/SpectralStatistics.jl/actions/workflows/CI.yml?query=branch%3Amain)


Welcome to the SpectralStatistics.jl library - a Julia package for computing and analyzing the statistical properties of quantum spectra.  

## Introduction
Spectral statistics are a usefull tool for analyzing and classifying the dynamical properties of quantum systems. The statistic featured in this library are most comomnly used to study quantum chaos and integrability and quantum-classical correspondence. The aim of the package is to provide efficient, user-friendly and extensively tested implementations of the most widely used spectral statistics and analytical models that describe them in various settings.
We hope the package will be usefull to seasoned veterans of quantum chaos as well as new entrants into the field.

See the documentation [here](https://clozej.github.io/SpectralStatistics.jl/dev/) for a description of all the exported types and functions.  


# Dependencies
- Polynomials
- SpecialFunctions
- LsqFit
- Makie for plotting 
