# API
The following pages document and explain the functionality of all exported types and functions in the library.

## Index

```@index
```

## Abstract types
```@docs
DataSample
Model
```

## Data types

```@docs
RealSpectrum
UnfoldedSpectrum 
```
## Spectral Statistics
```@docs
level_spacing
level_spacing_pdf
level_spacing_cdf
level_spacing_u
number_variance
rigidity
spectral_form_factor
```

## Analytical models
```@docs
Poisson
GOE
GUE
GSE
Gamma
Brody
BerryRobnik
BerryRobnikBrody 
```


## Functions

```@docs
unfold_spectrum
```

