# Home
Welcome to the the SpectralStatistics.jl library - a Julia package for computing and analyzing the statistical properties of quantum spectra.  

## Introduction
Spectral statistics are a useful tool for analyzing and classifying the dynamical properties of quantum systems. The statistic featured in this library are most commonly used to study quantum chaos and integrability and quantum-classical correspondence. The aim of the package is to provide efficient, user-friendly and extensively tested implementations of the most widely used spectral statistics and analytical models that describe them in various settings.
We hope the package will be useful to seasoned veterans of quantum chaos as well as new entrants into the field. 

The Tutorial section explains how to get started using SpectralStatistics.

See the API section for the complete documentation on all the exported types and functions. 

## Package features
- Compute the most commonly used spectral statistics of real quantum spectra.
- Compare and fit analytical expressions derived from dynamical and random matrix theory models.
 

## News
This is the first version of the SpectralStatistics.jl package.

## Contents
```@contents
```
